rte_crypto_dsa_xform(3)

NAME
rte_crypto_dsa_xform

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

rte_crypto_uint p
rte_crypto_uint q
rte_crypto_uint g
rte_crypto_uint x

Detailed Description

Asymmetric Digital Signature transform operation

Structure describing DSA xform params

Definition at line 403 of file rte_crypto_asym.h.

Field Documentation

  rte_crypto_uint p
Prime modulus

Definition at line 404 of file rte_crypto_asym.h.

  rte_crypto_uint q
Order of the subgroup

Definition at line 406 of file rte_crypto_asym.h.

  rte_crypto_uint g
Generator of the subgroup

Definition at line 408 of file rte_crypto_asym.h.

  rte_crypto_uint x
x: Private key of the signer

Definition at line 410 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.